#
# spec file for package sblim-cim-client (Version 1.3.9.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           sblim-cim-client
%define archive_folder_name     cim-client
%define cim_client_jar_file     sblimCIMClient
%define slp_name              sblim-slp-client
%define slp_client_jar_file   sblimSLPClient
# -----------------------------------------------------------------------------
Version:        1.3.9.1
Release:        0.6.34
License:        Any permissive; "Common Public License ("CPL") v1.0 ..."
Url:            http://sblim.sourceforge.net
Group:          Development/Libraries/Java
Summary:        Java CIM Client library
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}-src.tar.bz2
Source1:        %{name}-samples-%{version}-src.tar.bz2
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 1.5.32
BuildRequires:  ant >= 1.6
BuildRequires:  dos2unix
BuildRequires:  java-devel
BuildRequires:  update-alternatives
Requires:       jpackage-utils >= 1.5.32

%description
The purpose of this package is to provide a CIM Client Class Library
for Java applications. It complies to the DMTF standard CIM Operations
over HTTP and intends to be compatible with JCP JSR48 once it becomes
available. To learn more about DMTF visit http://www.dmtf.org. More
infos about the Java Community Process and JSR48 can be found at
http://www.jcp.org and http://www.jcp.org/en/jsr/detail?id=48.



%package javadoc
License:        Any permissive; "Common Public License ("CPL") v1.0 ..."
Summary:        Java CIM Client library
Group:          Development/Libraries/Java

%description javadoc
The purpose of this package is to provide a CIM Client Class Library
for Java applications. It complies to the DMTF standard CIM Operations
over HTTP and intends to be compatible with JCP JSR48 once it becomes
available. To learn more about DMTF visit http://www.dmtf.org. More
infos about the Java Community Process and JSR48 can be found at
http://www.jcp.org and http://www.jcp.org/en/jsr/detail?id=48.



%package manual
License:        Any permissive; "Common Public License ("CPL") v1.0 ..."
Summary:        Java CIM Client library
Group:          Development/Libraries/Java

%description manual
The purpose of this package is to provide a CIM Client Class Library
for Java applications. It complies to the DMTF standard CIM Operations
over HTTP and intends to be compatible with JCP JSR48 once it becomes
available. To learn more about DMTF visit http://www.dmtf.org. More
infos about the Java Community Process and JSR48 can be found at
http://www.jcp.org and http://www.jcp.org/en/jsr/detail?id=48.



%prep
%setup -q -n %{archive_folder_name}
%setup -q -T -D -b 1 -n %{archive_folder_name}
# -----------------------------------------------------------------------------

%build
export ANT_OPTS="-Xmx256m"
ant \
        -Dbuild.compiler=modern \
        -DManifest.version=%{version}\
        build-release
# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
# documentation 
dos2unix COPYING README ChangeLog NEWS
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install COPYING $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install README $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install ChangeLog $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install NEWS $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
# samples (also into _docdir)
pushd samples
  dos2unix README.samples
popd
install samples/README.samples $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr  samples/org $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
# default cim.defaults
dos2unix cim.defaults slp.conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/java
install cim.defaults $RPM_BUILD_ROOT%{_sysconfdir}/java/%{name}.properties
install slp.conf $RPM_BUILD_ROOT%{_sysconfdir}/java/%{slp_name}.properties
# jar
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install %{archive_folder_name}/%{cim_client_jar_file}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(
  cd $RPM_BUILD_ROOT%{_javadir} && 
    ln -sf %{name}-%{version}.jar %{cim_client_jar_file}.jar;
    ln -sf %{name}-%{version}.jar %{name}.jar;
)
install %{archive_folder_name}/%{slp_client_jar_file}.jar $RPM_BUILD_ROOT%{_javadir}/%{slp_name}-%{version}.jar
(
  cd $RPM_BUILD_ROOT%{_javadir} && 
    ln -sf %{slp_name}-%{version}.jar %{slp_client_jar_file}.jar;
    ln -sf %{slp_name}-%{version}.jar %{slp_name}.jar;
)
# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr %{archive_folder_name}/doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%config %{_sysconfdir}/java/%{name}.properties
%config %{_sysconfdir}/java/%{slp_name}.properties
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/COPYING
%doc %{_docdir}/%{name}-%{version}/README
%doc %{_docdir}/%{name}-%{version}/ChangeLog
%doc %{_docdir}/%{name}-%{version}/NEWS
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{cim_client_jar_file}.jar
%{_javadir}/%{slp_name}.jar
%{_javadir}/%{slp_name}-%{version}.jar
%{_javadir}/%{slp_client_jar_file}.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/README.samples
%doc %{_docdir}/%{name}-%{version}/org
# -----------------------------------------------------------------------------

%changelog
* Mon Oct 25 2010 mhrusecky@suse.cz
- updated to version 1.3.9.1 (fate#309756)
  - changes in 1.3.9.1
  * 2832736 CIM Client does not recognize HTTP extension headers
  - changes in 1.3.9
  * 2807325 Change licensing from CPL to EPL
  - changes in 1.3.8
  * 2414525 SLPConfig : parseList not returning populated list
  * 2382765 HTTP header field Accept-Language does not include *
  * 2372679 Add property to control synchronized SSL handshaking
  * 2219646 Fix / clean code to remove compiler warnings
  - changes in 1.3.7
  * 1984588 HttpClient not closed on cimclient close
  * 2023050 DateTime object not accounting for microseconds correctly
  * 1931266 M-POST not supported in java-client
  - changes in 1.3.6
  * 1954059 wrong path in CIMNameSpace URI
  * 1954069 connection leak and exception in CIMClientXML
  * 1960994 CIMSimpleDateTime.setDay() TODO and bad exception info
  * 1960934 CIMDateTime(Calendar) does not respect DST
  * 1901290 SLP error: "java.io.IOException" on Linux and IPv6
  * 1913348 malformed service URL crashes SLP discovery
  * 1931096 remove dependency of slpclient on cimclient classes
  * 1931332 In HTTPClient need to get status before closing connection
  * 1893499 no CIMExeption thrown for wrong namespace using SAXParser
  - changes in 1.3.5
  * 1892041 Basic/digest authentication problem for Japanese users
  * 1874440 sblimSLPclient PARSE ERROR
  * 1835847 property for configuration file location
  * 1832439 less strict parsing for IPv6 hostnames
  * 1824094 CIMNameSpace(String pURI) doesn't handle namespace properly
  * 1815752 TLS support
  * 1816503 IPv6 support
  * 1804532 trace for both req/res should be traced in the same file
  * 1804402 IPv6 ready SLP
  - changes in 1.3.4
  * 1732645 Wrong reference building in METHODCALL request
* Tue Oct  2 2007 anosek@suse.cz
- new package prepared for SLES10-SP2 (fate #301688)
  * based on spec file by JPackage project
